﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using App08.Models;

namespace App08.Controllers
{
    public class StudentsController : Controller
    {
        readonly StudentDBContext m_context;
        // 接收依赖注入
        public StudentsController(StudentDBContext c)
        {
            m_context = c;
        }

        public IActionResult List()
        {
            var q = from s in m_context.Students
                    orderby s.ID
                    select s;

            return View(q.ToList());
        }

        /***************************************************/
        // 以下方法用于编辑页
        [HttpGet]
        public IActionResult Editdata([FromRoute(Name = "sid")] int id)
        {
            var q = from s in m_context.Students
                    where id == s.ID
                    select s;
            Student stu = q.FirstOrDefault();
            if(stu == null)
            {
                return Content("在地球上找不到此学员。");
            }
            return View(stu);
        }

        [HttpPost]
        public IActionResult Editdata(Student s)
        {
            if (ModelState.IsValid == false)
            {
                return View(s);
            }
            m_context.Students.Update(s);
            m_context.SaveChanges();
            return RedirectToAction(nameof(List));
        }
    }
}
