﻿using Microsoft.AspNetCore.Mvc;
using System.ComponentModel.DataAnnotations;

namespace App08.Models
{
    public class Student
    {
        [Display(Name = "学号", AutoGenerateField = true)]
        [Required]
        [HiddenInput, Key]
        public int ID { get; set; }

        [Display(Name = "姓名",Prompt = "请输入学员的大名"), Required(ErrorMessage = "姓名是必填项。"), MaxLength(8, ErrorMessage = "姓名不能超过 8 个字符。")]
        public string Name { get; set; }

        [Display(Name = "年龄"),
            Required(), 
            Range(typeof(int), "12", "150", ErrorMessage = "请输入正确的年龄。")]
        public int Age { get; set; }
    }
}
