﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Builder;
using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Http;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.EntityFrameworkCore;

namespace App08
{
    public class Startup
    {
        // This method gets called by the runtime. Use this method to add services to the container.
        // For more information on how to configure your application, visit https://go.microsoft.com/fwlink/?LinkID=398940
        public void ConfigureServices(IServiceCollection services)
        {
            services.AddDbContextPool<StudentDBContext>(bd =>
            {
                bd.UseInMemoryDatabase("my_db");
            });
            services.AddMvc();
        }

        // This method gets called by the runtime. Use this method to configure the HTTP request pipeline.
        public void Configure(IApplicationBuilder app, IHostingEnvironment env)
        {
            if (env.IsDevelopment())
            {
                app.UseDeveloperExceptionPage();
            }

            // 初始化一下内存数据库
            using (var scope = app.ApplicationServices.CreateScope())
            {
                using (var context = scope.ServiceProvider.GetRequiredService<StudentDBContext>())
                {
                    if (context.Students.Any() == false)
                    {
                        for (int n = 1; n <= 20; n++)
                        {
                            Models.Student s = new Models.Student
                            {
                                Name = $"好名字{n}",
                                Age = n
                            };
                            context.Students.Add(s);
                        }
                        context.SaveChanges();
                    }
                }
            }
            app.UseStaticFiles();
            app.UseMvc(route =>
            {
                route.MapRoute("main", "{controller=Students}/{action=List}/{sid?}");
                route.MapRoute("edit_post", "{controller}-{action}");
            });
        }
    }
}
